## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Perform Batch Operations

#### cURL

```bash
curl --request PATCH \
  --url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "operations": [
    {
      "op": "delete",
      "id": "<string>"
    }
  ]
}
'  
```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers"

payload = { "operations": [
        {
            "op": "delete",
            "id": "<string>"
        }
    ] }
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```javascript
const options = {
  method: 'PATCH',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({operations: [{op: 'delete', id: '<string>'}]})
};

fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    'operations' => [
        [
                'op' => 'delete',
                'id' => '<string>'
        ]
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers"

payload := strings.NewReader("{\n  \"operations\": [\n    {\n      \"op\": \"delete\",\n      \"id\": \"<string>\"\n    }\n  ]\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

#### Response Codes

- **200**: Successfully ran the batch operations.
- **400**: Bad Request - Validation failed. Missing payload.
- **401**: Unauthorized Error
- **402**: Payment Required Error.
- **403**: Forbidden Error.
- **404**: Not Found Error.
- **500**: Internal Server Error.
- **501**: Not Implemented Error.
- **502**: Bad Gateway Error.
- **503**: Service Unavailable Error.
- **504**: Gateway Timeout Error.

#### Response Example

```json
{
  "created": [
    "<string>"
  ],
  "updated": [
    "<string>"
  ],
  "deleted": [
    "<string>"
  ]
}
```

#### Authorizations

- **APIKeyHeader**: Supply the API Key in the HTTP Header.

#### Headers

- **Accept**: Specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. Default value is `application/json`.

#### Path Parameters

- **flowId**: required, The unique identifier for the Flow. Required string length: `24`. Pattern: `^[a-z0-9]{24}$`

#### Body

- **operations**: array of objects, each containing the operation to be performed.
